local function fix_require(argv_0)
	local prefix = (argv_0 or arg[0]):match "^(.+)/.-$";
	local sep = package.path:match "[/\\]" or "/";

	if prefix then

		package.path = table.concat {
			package.path, ";",
			prefix, sep, "?.lua;",
			prefix, sep, "?", sep, "init.lua",
		};

		return prefix, sep;
	else
		return ".", sep;
	end
end
-- Fix package.path

local prefix, sep = fix_require();
package.path = table.concat {
	package.path, ";",
	prefix, sep, "main", sep, "?.lua;",
	prefix, sep, "main", sep, "?", sep, "init.lua",
};
function package.preload.fs()
	return require "src.bootstrap_fs";
end

return require "main" (...);
