--- @meta fs

local fs = {};

--- @param path string
--- @param recursive? boolean
--- @return true?
--- @return string? err_msg
function fs.mkdir(path, recursive) end
--- @param path string
--- @param recursive? boolean
--- @return (fun(): string?)? iterator
--- @return string? err_msg
function fs.readdir(path, recursive) end

--- @param path string
--- @return true?
--- @return string? err_msg
function fs.is_file(path) end
--- @param path string
--- @return true?
--- @return string? err_msg
function fs.is_dir(path) end
--- @param path string
--- @return { mode: integer, size: integer, uid: integer, gid: integer, ctime: integer, mtime: integer, atime: integer }?
--- @return string? err_msg
function fs.lstat(path) end

return fs;
